
ChiliProject - Bug # 557: Calendar links for previous/next month contains double escaped characters

Status: Closed Priority: Normal
Author: Johan Levin Category: User interface
Created: 2011-08-04 Assignee: Eric Davis
Updated: 2011-08-05 Due date:
Remote issue URL: https://www.chiliproject.org/projects/chiliproject/issues/calendar
Affected version: 2.1.1
Description: In the "security audit" commit between 2.1.0 and 2.1.1 there was a change to calendars_helper.rb that causes 

the << and >> characters in the links to the previous and next months on the calendar page read "&#171; July 
| September &#187;" instead of "<< July | September>>".
Associated revisions
2011-08-05 05:49 pm - Eric Davis
[#557] Fix link_to_month to not escape the HTML arrow characters

History
2011-08-04 08:47 pm - Johan Levin
OK, I think the text formatter replaced the characters escape codes with the actual characters, so ignore that and look at the image instead...

2011-08-05 03:50 pm - Eric Davis
- Target version set to 2.2.0

- Assignee set to Eric Davis

- Category set to User interface

- Status changed from Open to Closed

Thanks, this is fixed and will be in 2.2.0. I was being overly cautious in the security audit.
